package com.docus.server.common.service;

import com.docus.server.vo.scheduling.management.schcollectorversionfile.UploadFileVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface IFileUploadService {

    List<UploadFileVO> uploadFile(MultipartFile[] multipartFiles, String pathKey) throws Exception;

    void downloadFile(String filePath, HttpServletResponse response);

    void getImage(String filePath, HttpServletResponse response, HttpServletRequest request) throws Exception;

    List<UploadFileVO> uploadFile(MultipartFile[] files, String segmentation, Double height, Double widthStart, Double widthEnd) throws Exception;
}
